Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core
Interface RemotableQuartzScheduler

All Superinterfaces:
  Remote

All Known Implementing Classes:
  QuartzScheduler

    public interface RemotableQuartzScheduler

extends Remote

Author:
  James House

Method Summary
`void` | `addCalendar(String calName, Calendar calendar, boolean replace, boolean updateTriggers)`
`void` | `addJob(JobDetail jobDetail, boolean replace)`
`void` | `addJob(JobDetail jobDetail, boolean replace, boolean storeNonDurableWhileAwaitingScheduling)`
`boolean` | `checkExists(JobKey jobKey)`
`boolean` | `checkExists(TriggerKey triggerKey)`
`void` | `clear()`
`boolean` | `deleteCalendar(String calName)`
`boolean` | `deleteJob(JobKey jobKey)`
`boolean` | `deleteJobs(List<JobKey> jobKeys)`
`Calendar` | `getCalendar(String calName)`
`List<String>` | `getCalendarNames()`
`List<JobExecutionContext>` | `getCurrentlyExecutingJobs()`
`JobDetail` | `getJobDetail(JobKey jobKey)`
`List<String>` | `getJobGroupNames()`
`Set<JobKey>` | `getJobKeys(GroupMatcher<JobKey> matcher)`
`Class<?>` | `getJobStoreClass()`
`Set<String>` | `getPausedTriggerGroups()`
`SchedulerContext` | `getSchedulerContext()`
`String` | `getSchedulerInstanceId()`
`String` | `getSchedulerName()`
`Class<?>` | `getThreadPoolClass()`
`int` | `getThreadPoolSize()`
`Trigger` | `getTrigger(TriggerKey triggerKey)`
`List<String>` | `getTriggerGroupNames()`
`Set<TriggerKey>` | `getTriggerKeys(GroupMatcher<TriggerKey> matcher)`
`List<? extends Trigger>` | `getTriggersOfJob(JobKey jobKey)`
`Trigger.TriggerState` | `getTriggerState(TriggerKey triggerKey)`
`String` | `getVersion()`
`boolean` | `interrupt(JobKey jobKey)`
`boolean` | `interrupt(String fireInstanceId)`
`boolean` | `isClustered()`
`boolean` | `isInStandbyMode()`
`boolean` | `isShutdown()`
`int` | `numJobsExecuted()`
`void` | `pauseAll()`
`void` | `pauseJob(JobKey jobKey)`
`void` | `pauseJobs(GroupMatcher<JobKey> matcher)`
`void` | `pauseTrigger(TriggerKey triggerKey)`
`void` | `pauseTriggers(GroupMatcher<TriggerKey> matcher)`
`Date` | `rescheduleJob(TriggerKey triggerKey, Trigger newTrigger)`
`void` | `resumeAll()`
`void` | `resumeJob(JobKey jobKey)`
`void` | `resumeJobs(GroupMatcher<JobKey> matcher)`
`void` | `resumeTrigger(TriggerKey triggerKey)`
`void` | `resumeTriggers(GroupMatcher<TriggerKey> matcher)`
`Date` | `runningSince()`
`void` | `scheduleJob(JobDetail jobDetail, Set<? extends Trigger> triggersForJob, boolean replace)`
`Date` | `scheduleJob(JobDetail jobDetail, Trigger trigger)`
`Date` | `scheduleJob(Trigger trigger)`
`void` | `scheduleJobs(Map<JobDetail,Set<? extends Trigger>> triggersAndJobs, boolean replace)`
`void` | `shutdown()`
`void` | `shutdown(boolean waitForJobsToComplete)`
`void` | `standby()`
`void` | `start()`
`void` | `startDelayed(int seconds)`
`boolean` | `supportsPersistence()`
`void` | `triggerJob(JobKey jobKey, JobDataMap data)`
`void` | `triggerJob(OperableTrigger trig)`
`boolean` | `unscheduleJob(TriggerKey triggerKey)`
`boolean` | `unscheduleJobs(List<TriggerKey> triggerKeys)`

Method Detail

### getSchedulerName

    String getSchedulerName()
                            throws RemoteException

  Throws:
    `RemoteException`

### getSchedulerInstanceId

    String getSchedulerInstanceId()
                                  throws RemoteException

  Throws:
    `RemoteException`

### getSchedulerContext

    SchedulerContext getSchedulerContext()
                                         throws SchedulerException,
                                                RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### start

    void start()
               throws SchedulerException,
                      RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### startDelayed

    void startDelayed(int seconds)
                      throws SchedulerException,
                             RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### standby

    void standby()
                 throws RemoteException

  Throws:
    `RemoteException`

### isInStandbyMode

    boolean isInStandbyMode()
                            throws RemoteException

  Throws:
    `RemoteException`

### shutdown

    void shutdown()
                  throws RemoteException

  Throws:
    `RemoteException`

### shutdown

    void shutdown(boolean waitForJobsToComplete)
                  throws RemoteException

  Throws:
    `RemoteException`

### isShutdown

    boolean isShutdown()
                       throws RemoteException

  Throws:
    `RemoteException`

### runningSince

    Date runningSince()
                      throws RemoteException

  Throws:
    `RemoteException`

### getVersion

    String getVersion()
                      throws RemoteException

  Throws:
    `RemoteException`

### numJobsExecuted

    int numJobsExecuted()
                        throws RemoteException

  Throws:
    `RemoteException`

### getJobStoreClass

    Class<?> getJobStoreClass()
                              throws RemoteException

  Throws:
    `RemoteException`

### supportsPersistence

    boolean supportsPersistence()
                                throws RemoteException

  Throws:
    `RemoteException`

### isClustered

    boolean isClustered()
                        throws RemoteException

  Throws:
    `RemoteException`

### getThreadPoolClass

    Class<?> getThreadPoolClass()
                                throws RemoteException

  Throws:
    `RemoteException`

### getThreadPoolSize

    int getThreadPoolSize()
                          throws RemoteException

  Throws:
    `RemoteException`

### clear

    void clear()
               throws SchedulerException,
                      RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getCurrentlyExecutingJobs

    List<JobExecutionContext> getCurrentlyExecutingJobs()
                                                        throws SchedulerException,
                                                               RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### scheduleJob

    Date scheduleJob(JobDetail jobDetail,
                     Trigger trigger)
                     throws SchedulerException,
                            RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### scheduleJob

    Date scheduleJob(Trigger trigger)
                     throws SchedulerException,
                            RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### addJob

    void addJob(JobDetail jobDetail,
                boolean replace)
                throws SchedulerException,
                       RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### addJob

    void addJob(JobDetail jobDetail,
                boolean replace,
                boolean storeNonDurableWhileAwaitingScheduling)
                throws SchedulerException,
                       RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### deleteJob

    boolean deleteJob(JobKey jobKey)
                      throws SchedulerException,
                             RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### unscheduleJob

    boolean unscheduleJob(TriggerKey triggerKey)
                          throws SchedulerException,
                                 RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### rescheduleJob

    Date rescheduleJob(TriggerKey triggerKey,
                       Trigger newTrigger)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### triggerJob

    void triggerJob(JobKey jobKey,
                    JobDataMap data)
                    throws SchedulerException,
                           RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### triggerJob

    void triggerJob(OperableTrigger trig)
                    throws SchedulerException,
                           RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseTrigger

    void pauseTrigger(TriggerKey triggerKey)
                      throws SchedulerException,
                             RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseTriggers

    void pauseTriggers(GroupMatcher<TriggerKey> matcher)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseJob

    void pauseJob(JobKey jobKey)
                  throws SchedulerException,
                         RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseJobs

    void pauseJobs(GroupMatcher<JobKey> matcher)
                   throws SchedulerException,
                          RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeTrigger

    void resumeTrigger(TriggerKey triggerKey)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeTriggers

    void resumeTriggers(GroupMatcher<TriggerKey> matcher)
                        throws SchedulerException,
                               RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getPausedTriggerGroups

    Set<String> getPausedTriggerGroups()
                                       throws SchedulerException,
                                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeJob

    void resumeJob(JobKey jobKey)
                   throws SchedulerException,
                          RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeJobs

    void resumeJobs(GroupMatcher<JobKey> matcher)
                    throws SchedulerException,
                           RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseAll

    void pauseAll()
                  throws SchedulerException,
                         RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeAll

    void resumeAll()
                   throws SchedulerException,
                          RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getJobGroupNames

    List<String> getJobGroupNames()
                                  throws SchedulerException,
                                         RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getJobKeys

    Set<JobKey> getJobKeys(GroupMatcher<JobKey> matcher)
                           throws SchedulerException,
                                  RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTriggersOfJob

    List<? extends Trigger> getTriggersOfJob(JobKey jobKey)
                                             throws SchedulerException,
                                                    RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTriggerGroupNames

    List<String> getTriggerGroupNames()
                                      throws SchedulerException,
                                             RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTriggerKeys

    Set<TriggerKey> getTriggerKeys(GroupMatcher<TriggerKey> matcher)
                                   throws SchedulerException,
                                          RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getJobDetail

    JobDetail getJobDetail(JobKey jobKey)
                           throws SchedulerException,
                                  RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTrigger

    Trigger getTrigger(TriggerKey triggerKey)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTriggerState

    Trigger.TriggerState getTriggerState(TriggerKey triggerKey)
                                         throws SchedulerException,
                                                RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### addCalendar

    void addCalendar(String calName,
                     Calendar calendar,
                     boolean replace,
                     boolean updateTriggers)
                     throws SchedulerException,
                            RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### deleteCalendar

    boolean deleteCalendar(String calName)
                           throws SchedulerException,
                                  RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getCalendar

    Calendar getCalendar(String calName)
                         throws SchedulerException,
                                RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getCalendarNames

    List<String> getCalendarNames()
                                  throws SchedulerException,
                                         RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### interrupt

    boolean interrupt(JobKey jobKey)
                      throws UnableToInterruptJobException,
                             RemoteException

  Throws:
    `UnableToInterruptJobException`
    `RemoteException`

### interrupt

    boolean interrupt(String fireInstanceId)
                      throws UnableToInterruptJobException,
                             RemoteException

  Throws:
    `UnableToInterruptJobException`
    `RemoteException`

### checkExists

    boolean checkExists(JobKey jobKey)
                        throws SchedulerException,
                               RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### checkExists

    boolean checkExists(TriggerKey triggerKey)
                        throws SchedulerException,
                               RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### deleteJobs

    boolean deleteJobs(List<JobKey> jobKeys)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### scheduleJobs

    void scheduleJobs(Map<JobDetail,Set<? extends Trigger>> triggersAndJobs,
                      boolean replace)
                      throws SchedulerException,
                             RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### scheduleJob

    void scheduleJob(JobDetail jobDetail,
                     Set<? extends Trigger> triggersForJob,
                     boolean replace)
                     throws SchedulerException,
                            RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### unscheduleJobs

    boolean unscheduleJobs(List<TriggerKey> triggerKeys)
                           throws SchedulerException,
                                  RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.